Package org.apache.uima.jcas.cas

# Class IntegerList

java.lang.Object
org.apache.uima.cas.impl.FeatureStructureImplC
org.apache.uima.jcas.cas.TOP
org.apache.uima.jcas.cas.IntegerList

All Implemented Interfaces:
  `Cloneable`, `Iterable<Integer>`, `FeatureStructure`, `FeatureStructureImpl`, `CommonList`

Direct Known Subclasses:
  `EmptyIntegerList`, `NonEmptyIntegerList`

public abstract class IntegerList extends TOP implements CommonList, Iterable<Integer>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

  `FeatureStructureImplC.PrintReferences`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static PrimitiveIterator.OfInt`
  `EMPTY_INT_ITERATOR`

  ### Fields inherited from class org.apache.uima.jcas.cas.TOP

  `_singleton, _TypeName, type, typeIndexID`

  ### Fields inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

  `_casView, _id, DISABLE_RUNTIME_FEATURE_VALIDATION, DISABLE_RUNTIME_FEATURE_VALUE_VALIDATION, IS_ENABLE_RUNTIME_FEATURE_VALIDATION, IS_ENABLE_RUNTIME_FEATURE_VALUE_VALIDATION, IS_V2_PRETTY_PRINT, V2_PRETTY_PRINT`

  ### Fields inherited from interface org.apache.uima.jcas.cas.CommonList

  `_FeatName_head, _FeatName_tail, EMPTY_LIST_STRING`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `IntegerList()`
  ``
  `IntegerList(TypeImpl t, CASImpl c)`
  used by generator Make a new AnnotationBase
  ``
  `IntegerList(JCas jcas)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `contains(int v)`
  `static IntegerList`
  `create(JCas jcas, int[] a)`
  Create an IntegerList from an existing array of ints
  `NonEmptyIntegerList`
  `createNonEmptyNode()`
  Creates a non empty node
  `EmptyIntegerList`
  `emptyList()`
  `int`
  `getNthElement(int i)`
  `PrimitiveIterator.OfInt`
  `iterator()`
  `NonEmptyIntegerList`
  `push(int item)`
  pushes item onto front of this list
  `NonEmptyIntegerList`
  `pushNode()`
  Creates a new node and pushes it onto the front of the existing node
  `Spliterator.OfInt`
  `spliterator()`
  `Stream<Integer>`
  `stream()`

  ### Methods inherited from class org.apache.uima.jcas.cas.TOP

  `_createJCasHashMapReserve, _createSearchKey, getTypeIndexID`

  ### Methods inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

  `_copyIntAndRefArraysEqTypesFrom, _copyIntAndRefArraysFrom, _copyIntArrayEqTypesFrom, _getBooleanValueNc, _getBooleanValueNc, _getByteValueNc, _getByteValueNc, _getDoubleValueNc, _getDoubleValueNc, _getFeatFromAdjOffset, _getFeatureValueNc, _getFeatureValueNc, _getFloatValueNc, _getFloatValueNc, _getIntLikeValue, _getIntValueNc, _getIntValueNc, _getLongValueNc, _getLongValueNc, _getRefValueCommon, _getShortValueNc, _getShortValueNc, _getStringValueNc, _getStringValueNc, _getTypeCode, _getTypeImpl, _getView, _id, _inSetSortedIndex, _isJCasHashMapReserve, _isPearTrampoline, _maybeGetBaseForPearFs, _maybeGetBaseForPearFs, _maybeGetPearFs, _maybeGetPearFs, _resetInSetSortedIndex, _setBooleanValueNcNj, _setBooleanValueNcNj, _setBooleanValueNfc, _setByteValueNcNj, _setByteValueNcNj, _setByteValueNfc, _setDoubleValueNcNj, _setDoubleValueNcNj, _setDoubleValueNfc, _setFeatureValueNcNj, _setFeatureValueNcNj, _setFeatureValueNcWj, _setFloatValueNcNj, _setFloatValueNcNj, _setFloatValueNfc, _setInSetSortedIndexed, _setIntLikeValue, _setIntLikeValueNcNj, _setIntValueCJ, _setIntValueNcNj, _setIntValueNcNj, _setIntValueNfc, _setIntValueNfcCJ, _setJCasHashMapReserve, _setLongValueCJ, _setLongValueNcNj, _setLongValueNcNj, _setLongValueNfc, _setLongValueNfcCJ, _setPearTrampoline, _setRefValueCJ, _setRefValueCommon, _setRefValueCommonWj, _setRefValueNfcCJ, _setShortValueNcNj, _setShortValueNcNj, _setShortValueNfc, _setStringValueNcNj, _setStringValueNcWj, _setStringValueNfc, _setTypeImpl, addStringOrPrimitive, addToIndexes, addToIndexes, addToIndexes, clone, compare, equals, getAddress, getBooleanValue, getByteValue, getCAS, getCASImpl, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getLowLevelCas, getShortValue, getStringValue, getType, hashCode, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrintShort, removeFromIndexes, removeFromIndexes, removeFromIndexes, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue, toShortString, toString, toString, wrapGetIntCatchException`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.uima.jcas.cas.CommonList

  `anyListToOutput, anyListToStringList, get_headAsString, getCommonTail, getLength, getNonEmptyNthNode, getNthNode, insertNode, isEmpty, set_headFromString, setTail, walkList, walkList_saxException`

  ### Methods inherited from interface org.apache.uima.cas.FeatureStructure

  `_getTypeCode, _id, clone, equals, getAddress, getBooleanValue, getByteValue, getCAS, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getJCas, getLongValue, getShortValue, getStringValue, getType, hashCode, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

- ## Field Details

  - ### EMPTY_INT_ITERATOR

    public static PrimitiveIterator.OfInt EMPTY_INT_ITERATOR

- ## Constructor Details

  - ### IntegerList

    protected IntegerList()

  - ### IntegerList

    public IntegerList(JCas jcas)

  - ### IntegerList

    public IntegerList(TypeImpl t, CASImpl c)
    used by generator Make a new AnnotationBase
    Parameters:
      `c` - -
      `t` - -

- ## Method Details

  - ### getNthElement

    public int getNthElement(int i)

  - ### createNonEmptyNode

    public NonEmptyIntegerList createNonEmptyNode()
    Description copied from interface: `CommonList`
    Creates a non empty node
    Specified by:
      `createNonEmptyNode` in interface `CommonList`
    Returns:
      a new non empty node

  - ### pushNode

    public NonEmptyIntegerList pushNode()
    Description copied from interface: `CommonList`
    Creates a new node and pushes it onto the front of the existing node
    Specified by:
      `pushNode` in interface `CommonList`
    Returns:
      the new node

  - ### iterator

    public PrimitiveIterator.OfInt iterator()
    Specified by:
      `iterator` in interface `Iterable<Integer>`

  - ### push

    public NonEmptyIntegerList push(int item)
    pushes item onto front of this list
    Parameters:
      `item` - the item to push onto the list
    Returns:
      the new list, with this item as the head value of the first element

  - ### emptyList

    public EmptyIntegerList emptyList()
    Specified by:
      `emptyList` in interface `CommonList`
    Returns:
      a shared instance of the empty node.

  - ### create

    public static IntegerList create(JCas jcas, int[] a)
    Create an IntegerList from an existing array of ints
    Parameters:
      `jcas` - the JCas to use
      `a` - the array of ints to populate the list with
    Returns:
      an IntegerList, with the elements from the array

  - ### stream

    public Stream<Integer> stream()

  - ### spliterator

    public Spliterator.OfInt spliterator()
    Specified by:
      `spliterator` in interface `Iterable<Integer>`

  - ### contains

    public boolean contains(int v)